JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Graphics::ScopedSaveState Class Reference
juce_graphics » contexts

Uses RAII to save and restore the state of a graphics context. More...

`#include <juce_GraphicsContext.h>`

## Public Member Functions
| ScopedSaveState (Graphics &)
| ~ScopedSaveState ()

## Detailed Description

Uses RAII to save and restore the state of a graphics context.

On construction, this calls Graphics::saveState(), and on destruction it calls Graphics::restoreState() on the Graphics object that you supply.

## Constructor & Destructor Documentation

## ◆ ScopedSaveState()

Graphics::ScopedSaveState::ScopedSaveState | ( | Graphics & |  | ) |

## ◆ ~ScopedSaveState()

Graphics::ScopedSaveState::~ScopedSaveState | ( |  | ) |

The documentation for this class was generated from the following file:

- juce_GraphicsContext.h